import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, o = (p, t, r, i) => {
  for (var e = i > 1 ? void 0 : i ? m(t, r) : t, s = p.length - 1, n; s >= 0; s--)
    (n = p[s]) && (e = (i ? n(t, r, e) : n(e)) || e);
  return i && e && a(t, r, e), e;
};
let l = class extends g {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--lightningFilled", this.class = "c-pieIcon c-pieIcon--lightningFilled", this.name = "IconLightningFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--lightningFilled"><path d="M8.963 6.329V1.438H7.746L3.818 8.954a.875.875 0 0 0 .778 1.286H7.65v4.323h1.479l3.657-6.957a.876.876 0 0 0-.77-1.277z"></path></svg>`;
  }
};
o([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
o([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = o([
  f("icon-lightning-filled")
], l);
export {
  l as IconLightningFilled
};
